// load in and process data 
import {
  csv,
  range
} from 'd3';

export const loadAndProcessData = () => 

csv('https://vizhub.com/KCachel/datasets/londonairqualityYearlyPM25.csv')
  .then(rawData => {
    rawData = rawData.filter(d => d.Date !== '');
    
    const data = [];
    //data.columns = rawData.columns;
    
    //
    const minYear = 2010;
    const maxYear = 2018;
    const years = range(minYear, maxYear + 1);
    
    rawData.forEach(d => {
      const date = new Date(d.Date);
      years.forEach(year => {
        const row = {
          year,
          date, // Month of year
          pm25: parseFloat(d[year])
        };
        data.push(row);
      });
     
    });

    return data;
  });